/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Dao;


import LoginDb.DbHandler;
import java.sql.CallableStatement;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;

/**
 *
 * @author 1242938
 */
public class ForceAccountClosureDao {

    public String ForceAccountClosureServletProc(String pacsId, String accNo, String tellerId) {
        Connection con = null;
        CallableStatement proc = null;
        String res = null;


        try {
            con = DbHandler.getDBConnection();
            proc = con.prepareCall("{ call operations2.force_acc_close(?,?,?,?) }");

            proc.setString(1, pacsId);
            proc.setString(2, accNo);
            proc.setString(3, tellerId);
            proc.registerOutParameter(4, OracleTypes.VARCHAR);


            proc.executeUpdate();

           // res = proc.getString(4);//error message

        } catch (Exception e) {
           // e.printStackTrace();
           // System.out.println("Exception occured  in ForceAccountClosureServletProc for user Id :" + tellerId);
            System.out.println("Error occurred during processing.");
            res= "Error occured. Please try again";
        } finally {
            try {
                if (con != null) {
                    con.close();
                }
            } catch (Exception e) {
               // e.printStackTrace();
               System.out.println("Error occurred during connection close.");
            }
        }

        return res;
    }

    
}
